	{% if true %}
   	<div id="loading-progress-wrapper">
      {% include 'splash-content2' %}
    </div>
	{% endif %}


<div class="shopify-section" style="display: grid;" >
	
  <div>
    <div id="video_container" class="with-image" aria-hidden="true" style="display: flex;">
      <video width="100%" height="100%" id="video-1" muted loop preload="none" autoplay poster playsinline webkit-playsinline>
        <source type="video/mp4" src="" data-desktop-src="{{ settings.video_1_desktop | asset_url }}" data-mobile-src="{{ settings.video_1_mobile | asset_url }}">
        Your browser does not support the video tag.
      </video>
      
    </div> 
  </div>
  
  <div>
    <div class="with-image custom_banner_text" aria-hidden="true" style="display: flex;justify-content: center;align-items: center;color: white;">
      <!-- autoplay -->
      <video width="100%" height="100%" id="video-2" muted loop preload="none" autoplay poster playsinline webkit-playsinline>
        <source type="video/mp4" src="" data-desktop-src="{{ settings.video_2_desktop | asset_url }}" data-mobile-src="{{ settings.video_2_mobile | asset_url }}">
        Your browser does not support the video tag.
      </video>
      <div id="custom_banner_text" class="" style="position: absolute;display: flex;">
        <div class="box_cover"><h2 class="title">Made in Malibu</h2></div>
      </div>
	  <div class="custom_banner_p" style="position: absolute;display: flex;margin-top: 65px;">
        <div class="box_cover"><p>A world of possibilities, where technology meets sustainable lifestyle.</p></div>
      </div>
      
    </div>
  </div>

</div>

<script>
var TimerID_video1;
var TimerID_video2;
window.addEventListener("resize", function(){
  //return;
  clearTimeout(TimerID_video1);
  clearTimeout(TimerID_video2);
  TimerID_video1 = setTimeout(function(){showing_video("video-1")},1000);
  TimerID_video2 = setTimeout(function(){showing_video("video-2")},1200);
  //setTimeout(function(){playVideos()},2000);
  
});
                        
jQuery(document).ready(function () {
  
  
  //showing_video("video-1");
  //showing_video("video-2");
  setTimeout(function(){showing_video("video-1");},300);
  setTimeout(function(){showing_video("video-2");},600);
  
  //playVideos();
  
  //Animation #1
  jQuery('#custom_banner_text').appear(function() {});
  jQuery(document.body).on('appear',"#custom_banner_text", function(event) {
	setTimeout(function(){ 
      $(".box_cover").addClass("box_cover_do").delay(750).queue(function() {
        $(this).addClass("box_cover_remove");
      });
    }, 10);
  });
  
  
  
  
 
  
  jQuery('#video-1').click(function() {
  		window.location = '/pages/apply';
  });
  
  jQuery('#video-2').click(function() {
  		window.location = '/pages/about';
  });
  
});
  


function showing_video(id){
  var w = window.matchMedia("(min-width: 1024px)");
  var vid = document.getElementById(id);
  var src_desktop = jQuery(vid).find("source:lt(1)").attr("data-desktop-src");
  var src_mobile = jQuery(vid).find("source:lt(1)").attr("data-mobile-src");
  var src_current = jQuery(vid).find("source:lt(1)").attr("src");
  if (w.matches  ) {
    if( src_current!=src_desktop ){
      console.log("showing desktop");
      vid.pause();
      jQuery(vid).find("source:lt(1)").removeAttr("src");
      jQuery(vid).find("source:lt(1)").attr("src", src_desktop );
      vid.load();
      //playVideos();
      //vid.play();
    }
  } else  {
    if( src_current!=src_mobile ){
      console.log("showing mobile");
      vid.pause();
      jQuery(vid).find("source:lt(1)").removeAttr("src");
      jQuery(vid).find("source:lt(1)").attr("src", src_mobile );
      vid.load();
      //playVideos();
      //vid.play();
    }
  }
}

///*
function playVideos(){
  //console.log("play Videos");
  // Get all videos.
  var videos = document.querySelectorAll('video');

  // Create a promise to wait all videos to be loaded at the same time.
  // When all of the videos are ready, call resolve().
  var promise = new Promise(function(resolve) {
    var loaded = 0;

    videos.forEach(function(v) {
      v.addEventListener('loadedmetadata', function() {
        loaded++;

        if (loaded === videos.length) {
          resolve();
        }
      });
    });
  });

  // Play all videos one by one only when all videos are ready to be played.
  promise.then(function() {
    videos.forEach(function(v) {
      v.play();
    });
  });
  
}
//*/
</script>

<style type="text/css">
.box_cover{
  position: relative;
  /*width:200px;
  height: 50px;*/
  overflow: hidden;
  line-height: 50px;
  text-align: center;
}
.box_cover h2, .box_cover p{
  opacity: 0.01;
}
.box_cover:before {
  content: "";
  display: block;
  position: absolute;
  top: 0;
  right: 100%;

  bottom: 0;
  width:100%;
  background: rgba(214,225,191, 1);
  transition: right 1s;
  -webkit-transform: right 1s;
  -ms-transform: right 1s;
  
}
.box_cover_remove h2, .box_cover_remove p{
  opacity: 1;
}
.box_cover_do:before{
  right: 0%;
  
}
.box_cover_remove:before{
  transition: right 0.7s;
  right: -100%;
}
</style>